Skip to main content
`Ctrl`+`K`

# numpy.__array_namespace_info__.devices

method

__array_namespace_info__.devices()

  The devices supported by NumPy.

  For NumPy, this always returns `['cpu']`.

  Returns:
    devices list of str

      The devices supported by NumPy.

  See also

  `__array_namespace_info__.capabilities`
  `__array_namespace_info__.default_device`
  `__array_namespace_info__.default_dtypes`
  `__array_namespace_info__.dtypes`

  Examples

      >>> info = np.__array_namespace_info__()
      >>> info.devices()
      ['cpu']